# Generated automatically from Makefile.in by configure.
# ------------------------------------------------------------------------
# 	Makefile for normal version of BLT library
# ------------------------------------------------------------------------

#
# Try and guess the architecture
#
#ARCH != @arch
VAXVMS = vax
#OPENVMS = alpha
ARCH = $(VAXVMS)$(OPENVMS)

# ------------------------------------------------------------------------
# 	C Compiler options 
# ------------------------------------------------------------------------

#CC           	= cc
#CFLAGS  	= -O
DEFINES      	=  /define=("BLT_LIBRARY=""blt_library:""","NO_BGEXEC")
TOPDIR      	= /usr/local
LIBDIR      	= /usr/local/lib
BLT_LIBRARY  	= /usr/local/lib/blt

# ------------------------------------------------------------------------
# 	Directories containing Tcl and Tk include files and libraries
# ------------------------------------------------------------------------

TCL_INCLUDE   	= [--.tcl73]
TK_INCLUDE    	= [--.tk36]
X_INCLUDE     	= 

# ------------------------------------------------------------------------
# 	Don't edit anything beyond this point
# ------------------------------------------------------------------------

OBJS 		= bltGraph.obj, bltGrAxis.obj, bltGrBar.obj, bltGrElem.obj, \
		  bltGrHairs.obj, bltGrLegd.obj, bltGrLine.obj, bltGrMisc.obj, \
		  bltGrPS.obj, bltGrTag.obj,  \
        	  bltCutbuffer.obj, bltBell.obj, \
        	  bltInit.obj, bltBitmap.obj, bltBusy.obj, \
		  bltDebug.obj, bltDragDrop.obj, bltHtext.obj, bltList.obj, \
		  bltTable.obj, bltUtil.obj, bltWatch.obj, bltWin.obj 

SRCS 		= bltGraph.c bltGrAxis.c bltGrBar.c bltGrElem.c \
		  bltGrHairs.c bltGrLegd.c bltGrLine.c bltGrMisc.c \
		  bltGrPS.c bltGrTag.c  \
        	  bltCutbuffer.c bltBell.c \
        	  bltInit.c bltBgexec.c bltBitmap.c bltBusy.c \
		  bltDebug.c bltDragDrop.c bltHtext.c bltList.c \
	          bltTable.c bltUtil.c bltWatch.c bltWin.c 

libname  	= libBLT.olb
INCLUDES	= [], $(TK_INCLUDE), $(TCL_INCLUDE)
#CC_SWITCHES	= $(DEFINES) /inc=($(INCLUDES))
INSTALL  	= /bin/installbsd -c
INSTALL_DATA  	= $(INSTALL) -m 644
RANLIB   	= ranlib
SHELL    	= /bin/sh
AR       	= library/create
#RM       	= rm
RM       	= delete
LINT		= lint
LINTFLAGS	= -axhbn
srcdir 		= .
VPATH		= .

X11_LIB_SWITCHES =	sys$disk:[]x11opt-$(ARCH)/opt
LIBS = []libblt.olb/libr, [--.tk36]libtk.olb/libr, [--.tcl73]libtcl/libr, \
	$(X11_LIB_SWITCHES)

.IFDEF OPENVMS
#.if $(ARCH) == "alpha"
    #
    # For Alpha/OpenVMS
    #
    #CC_SWITCHES += /debug/prefix=all/stand=vaxc/noopt
    CC_SWITCHES += /debug/prefix=all/noopt
#.else
.ENDIF

.IFDEF VAXVMS
#
# For Vax/VMS
#
#    CC_SWITCHES += /debug
#CC_SWITCHES += /debug/opt
#CC_SWITCHES = $(CC_SWITCHES) /debug/opt
CC_SWITCHES = /debug/opt $(DEFINES) /inc=($(INCLUDES))
.endif

CC =		cc
CFLAGS =	$(CC_SWITCHES)

#	def/user x11 decw$$include:; \

.c.obj :
	def/user x11 decw$include:
	$(CC) $(CFLAGS) $<

all : $(libname) blt-wish.exe
	mms/id

$(libname) :  $(OBJS)
	- $(RM) $@;*
	$(AR) $@ $(OBJS)

blt-wish.exe : tkAppInit.obj $(libname)
	link/exe=$@ $(LDFLAGS) tkAppInit.obj, $(LIBS)
install : $(libname) install-dirs
	$(INSTALL_DATA) $(libname) $(LIBDIR)
	$(RANLIB) $(LIBDIR)/$(libname)

install-dirs :
	@for i in $(TOPDIR) $(LIBDIR) ; do \
	    if test ! -d $$i ; then \
		mkdir $$i ; \
	    fi ; \
        done

clean :
	- delete/nolog *.obj.*,$(libname).*,blt-wish.exe.*

lint :
	$(LINT) $(LINTFLAGS) $(DEFINES) $(INCLUDES) $(SRCS)

.c.o :
	$(CC) -c $(CC_SWITCHES) $<

